declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    editor: {
        type: ObjectConstructor;
    };
    node: {
        type: ObjectConstructor;
    };
    decorations: {
        type: ArrayConstructor;
    };
    selected: {
        type: BooleanConstructor;
    };
    extension: {
        type: ObjectConstructor;
    };
    getPos: {
        type: FunctionConstructor;
    };
    updateAttributes: {
        type: FunctionConstructor;
    };
    deleteNode: {
        type: FunctionConstructor;
    };
}>, {}, {
    left: number;
    top: number;
    showPopper: boolean;
    outsideEvent: (event: any) => 0 | undefined;
    thisTheme: any;
    thisForeground: any;
}, {
    focusForeground(): any;
    hoverForeground(): any;
    activeForeground(): any;
    thisPlaceholder(): any;
    thisMentionList(): any;
}, {
    outSideClickInit(): void;
    windowEventInit(): void;
    showPos(): void;
    show(): void;
    getFilterItems(newVal: any, oldVal: any): Promise<void>;
    chooseItem(event: any): void;
    isLoading(): any;
    valueTrigger(val: any): any;
    delRecover(): void;
    skipNode(event: any): void;
    close(): void;
    closeWithoutSelection(): void;
    closeWithLeftRight(event: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    editor: {
        type: ObjectConstructor;
    };
    node: {
        type: ObjectConstructor;
    };
    decorations: {
        type: ArrayConstructor;
    };
    selected: {
        type: BooleanConstructor;
    };
    extension: {
        type: ObjectConstructor;
    };
    getPos: {
        type: FunctionConstructor;
    };
    updateAttributes: {
        type: FunctionConstructor;
    };
    deleteNode: {
        type: FunctionConstructor;
    };
}>> & Readonly<{}>, {
    selected: boolean;
}, {}, {
    NodeViewWrapper: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        as: {
            type: StringConstructor;
            default: string;
        };
    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        as: {
            type: StringConstructor;
            default: string;
        };
    }>> & Readonly<{}>, {
        as: string;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
